<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::MeshCoP::Leader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d6/db2/classThread_1_1MeshCoP_1_1Leader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../da/d61/classThread_1_1MeshCoP_1_1Leader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::MeshCoP::Leader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a96a0df60953172cb430044db9ae7f0d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html#a96a0df60953172cb430044db9ae7f0d7">Leader</a> (<a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif)</td></tr>
<tr class="memdesc:a96a0df60953172cb430044db9ae7f0d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the <a class="el" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html">Leader</a> object.  <a href="#a96a0df60953172cb430044db9ae7f0d7">More...</a><br /></td></tr>
<tr class="separator:a96a0df60953172cb430044db9ae7f0d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adffbb83d392429643d1fed548a738366"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html#adffbb83d392429643d1fed548a738366">SendDatasetChanged</a> (const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aAddress)</td></tr>
<tr class="memdesc:adffbb83d392429643d1fed548a738366"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sends a MGMT_DATASET_CHANGED message to commissioner.  <a href="#adffbb83d392429643d1fed548a738366">More...</a><br /></td></tr>
<tr class="separator:adffbb83d392429643d1fed548a738366"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a96a0df60953172cb430044db9ae7f0d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread::MeshCoP::Leader::Leader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;&#160;</td>
          <td class="paramname"><em>aThreadNetif</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This constructor initializes the <a class="el" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html">Leader</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aThreadNetif</td><td>A reference to the Thread network interface. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/db2/classThread_1_1MeshCoP_1_1Leader_a96a0df60953172cb430044db9ae7f0d7_cgraph.png" border="0" usemap="#d6/db2/classThread_1_1MeshCoP_1_1Leader_a96a0df60953172cb430044db9ae7f0d7_cgraph" alt=""/></div>
<map name="d6/db2/classThread_1_1MeshCoP_1_1Leader_a96a0df60953172cb430044db9ae7f0d7_cgraph" id="d6/db2/classThread_1_1MeshCoP_1_1Leader_a96a0df60953172cb430044db9ae7f0d7_cgraph">
<area shape="rect" id="node2" href="../../de/d76/classThread_1_1Coap_1_1Server.html#a6c2d2fb6a4a5ce7ef157e5d9cc308af6" title="This method adds a resource to the CoAP server. " alt="" coords="292,31,442,69"/>
<area shape="rect" id="node3" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aaa9112c22813ceb55338050f0365c598" title="This method opens the UDP socket. " alt="" coords="286,93,448,132"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="290,156,444,195"/>
<area shape="rect" id="node10" href="../../d1/d40/classThread_1_1Timer.html#a8815311dffb2fff6b548b63bfc7d6dba" title="This method indicates whether or not the timer instance is running. " alt="" coords="281,344,453,369"/>
<area shape="rect" id="node11" href="../../de/d05/classThread_1_1MeshCoP_1_1BorderAgentLocatorTlv.html#ac3ad7c172f104c1e8c266e2c56bc31e2" title="This method initializes the TLV. " alt="" coords="261,581,473,620"/>
<area shape="rect" id="node13" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a0524dd75d253e44a53dab3cc0de3393e" title="This method sets the Length value. " alt="" coords="568,519,723,557"/>
<area shape="rect" id="node14" href="../../de/d05/classThread_1_1MeshCoP_1_1BorderAgentLocatorTlv.html#a23c5b63f4ef173b7d859d1cba2049525" title="This method sets the Border Agent Locator value. " alt="" coords="252,696,482,735"/>
<area shape="rect" id="node15" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="280,759,454,797"/>
<area shape="rect" id="node16" href="../../d3/d4c/classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv.html#a98d9b606bb5d7547c8f19bed9b5c029c" title="This method initializes the TLV. " alt="" coords="256,393,478,432"/>
<area shape="rect" id="node17" href="../../d3/d4c/classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv.html#a6abb04fc2c60f534add26eb9ba6c276c" title="This method sets the Commissioner Session ID value. " alt="" coords="233,821,501,860"/>
<area shape="rect" id="node18" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#a555178a1b1857375432ee194f7b60d1a" title="This method initializes the TLV. " alt="" coords="274,456,460,495"/>
<area shape="rect" id="node19" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#a90cfa85560c90e598b0d0b67498f9e99" title="This method sets all bits in the Bloom Filter to zero. " alt="" coords="274,219,460,257"/>
<area shape="rect" id="node20" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a46d1a76edcb210f1cf58c463f3c1bdad" title="This method adds Commissioning Data to the Thread Network Data. " alt="" coords="258,884,475,923"/>
<area shape="rect" id="node26" href="../../d1/d40/classThread_1_1Timer.html#a475731e21b59be6b17b24f5b5e175f62" title="This method schedules the timer to fire a dt milliseconds from now. " alt="" coords="297,947,437,972"/>
<area shape="rect" id="node27" href="../../d1/d40/classThread_1_1Timer.html#a38c2681adb35b234d62b9848f89318b0" title="This static method returns the number of milliseconds given seconds. " alt="" coords="277,996,457,1021"/>
<area shape="rect" id="node28" href="../../de/d76/classThread_1_1Coap_1_1Server.html#a2f1fb2b1a1e98b79a9d086aca2dbb764" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="292,1045,442,1084"/>
<area shape="rect" id="node30" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="290,1108,444,1147"/>
<area shape="rect" id="node32" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="290,1171,444,1209"/>
<area shape="rect" id="node33" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="290,1233,444,1272"/>
<area shape="rect" id="node34" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="290,1296,444,1335"/>
<area shape="rect" id="node35" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="290,1359,444,1397"/>
<area shape="rect" id="node36" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="290,1421,444,1460"/>
<area shape="rect" id="node37" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="290,1484,444,1523"/>
<area shape="rect" id="node38" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="290,1547,444,1585"/>
<area shape="rect" id="node39" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="290,1609,444,1648"/>
<area shape="rect" id="node40" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="278,1672,456,1697"/>
<area shape="rect" id="node41" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="290,1721,444,1760"/>
<area shape="rect" id="node42" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="290,1784,444,1823"/>
<area shape="rect" id="node43" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#afcb686b1046800a35985dc810c119472" title="This method initializes the TLV. " alt="" coords="274,519,460,557"/>
<area shape="rect" id="node44" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a86346d8e24a97d249ce73684009e8adb" title="This method sets the State value. " alt="" coords="274,1847,460,1885"/>
<area shape="rect" id="node45" href="../../de/d76/classThread_1_1Coap_1_1Server.html#aeb97e0257808d7cad4adceccd87f6b7d" title="This method sends a CoAP response from the server. " alt="" coords="292,281,442,320"/>
<area shape="rect" id="node47" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="287,1909,447,1935"/>
<area shape="rect" id="node48" href="../../d3/d4c/classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv.html#a476e9355c77b8365afa6d9e75c96cc10" title="This method returns the Commissioner Session ID value. " alt="" coords="232,1959,502,1997"/>
<area shape="rect" id="node49" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#ac695ee46e4579962a52174e0a665fd16" title="This method returns the State value. " alt="" coords="274,2021,460,2060"/>
<area shape="rect" id="node50" href="../../d1/d40/classThread_1_1Timer.html#a9acdec1cdf4edf947c563d40871f2bc8" title="This method stops the timer. " alt="" coords="297,2084,437,2109"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="551,117,740,143"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="789,228,984,253"/>
<area shape="rect" id="node7" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="563,5,728,31"/>
<area shape="rect" id="node8" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a6b50f0231142d7c272ac1732ae0fdca7" title="This method returns the Type value. " alt="" coords="568,55,723,93"/>
<area shape="rect" id="node9" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="568,219,723,257"/>
<area shape="rect" id="node12" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#af4de18174724fddc7ac516c219cd16cd" title="This method sets the Type value. " alt="" coords="568,456,723,495"/>
<area shape="rect" id="node21" href="../../d4/d80/group__core-netdata-core.html#ga9f5162a9bc93eab0d3c02ffd7647223d" title="This method inserts bytes into the Network Data. " alt="" coords="572,743,720,781"/>
<area shape="rect" id="node22" href="../../d0/d15/classThread_1_1NetworkData_1_1CommissioningDataTlv.html#a4f90032ec9250ce972df82f1e4a3b86f" title="This method initializes the TLV. " alt="" coords="550,805,741,844"/>
<area shape="rect" id="node23" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a317f61172c3e2a2c6e03caa4921014d5" title="This method sets the Length value. " alt="" coords="791,833,982,872"/>
<area shape="rect" id="node24" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a48c613c8f16703f3af0480e4d4c588b9" title="This method returns a pointer to the Value. " alt="" coords="553,920,738,959"/>
<area shape="rect" id="node25" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a092484addf28568306ab45941abffff4" title="This method schedules notification of aFlags. " alt="" coords="562,983,729,1021"/>
<area shape="rect" id="node29" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="565,1045,727,1084"/>
<area shape="rect" id="node31" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a411c64839fe9cf63ac201f9a6760199c" title="This method sets the Version value. " alt="" coords="569,1108,723,1147"/>
<area shape="rect" id="node46" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="565,281,727,320"/>
</map>
</div>
</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="adffbb83d392429643d1fed548a738366"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Leader::SendDatasetChanged </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sends a MGMT_DATASET_CHANGED message to commissioner. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>The IPv6 address of destination.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully send MGMT_DATASET_CHANGED message. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffers to generate a MGMT_DATASET_CHANGED message. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/db2/classThread_1_1MeshCoP_1_1Leader_adffbb83d392429643d1fed548a738366_cgraph.png" border="0" usemap="#d6/db2/classThread_1_1MeshCoP_1_1Leader_adffbb83d392429643d1fed548a738366_cgraph" alt=""/></div>
<map name="d6/db2/classThread_1_1MeshCoP_1_1Leader_adffbb83d392429643d1fed548a738366_cgraph" id="d6/db2/classThread_1_1MeshCoP_1_1Leader_adffbb83d392429643d1fed548a738366_cgraph">
<area shape="rect" id="node2" href="../../dd/d10/group__random.html#gaa20820ca4e6e1ce8cd47ded9762b14ca" title="Get a 32&#45;bit random value. " alt="" coords="277,5,404,31"/>
<area shape="rect" id="node3" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="263,55,417,93"/>
<area shape="rect" id="node5" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="263,117,417,156"/>
<area shape="rect" id="node6" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="263,180,417,219"/>
<area shape="rect" id="node7" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="263,243,417,281"/>
<area shape="rect" id="node8" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="263,305,417,344"/>
<area shape="rect" id="node9" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a1df234ef27c9000081fbbe24e7c97dd6" title="This method appends a Uri&#45;Path option. " alt="" coords="258,368,423,407"/>
<area shape="rect" id="node11" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="263,431,417,469"/>
<area shape="rect" id="node12" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="259,493,421,532"/>
<area shape="rect" id="node13" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="251,556,430,581"/>
<area shape="rect" id="node14" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="263,605,417,644"/>
<area shape="rect" id="node15" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="263,668,417,707"/>
<area shape="rect" id="node16" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="254,731,427,769"/>
<area shape="rect" id="node17" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="259,793,421,832"/>
<area shape="rect" id="node29" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="260,856,420,881"/>
<area shape="rect" id="node30" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="270,905,411,944"/>
<area shape="rect" id="node31" href="../../df/d94/group__core-mle-core.html#gabc154b6e95f5b169febcd7a582dfa1a3" title="This method returns the current Thread interface state. " alt="" coords="245,968,436,1007"/>
<area shape="rect" id="node32" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a46d1a76edcb210f1cf58c463f3c1bdad" title="This method adds Commissioning Data to the Thread Network Data. " alt="" coords="232,1196,449,1235"/>
<area shape="rect" id="node4" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a411c64839fe9cf63ac201f9a6760199c" title="This method sets the Version value. " alt="" coords="517,55,671,93"/>
<area shape="rect" id="node10" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ac047d4a2285b8315c1f11d66c04994a4" title="This method appends a CoAP option. " alt="" coords="517,368,671,407"/>
<area shape="rect" id="node18" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8" title="This method returns a reference to the local socket address. " alt="" coords="508,455,681,493"/>
<area shape="rect" id="node19" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813" title="This method indicates whether or not the IPv6 address is the Unspecified Address. ..." alt="" coords="521,517,667,556"/>
<area shape="rect" id="node20" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a4c3b5b3798c5a209d94f145dd9f08424" title="This method returns the local socket address. " alt="" coords="513,580,675,619"/>
<area shape="rect" id="node21" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f" title="This method returns a reference to the IPv6 address. " alt="" coords="517,643,672,681"/>
<area shape="rect" id="node22" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a3e48adfe7fb163bd8dd6e6f26cb5dda4" title="This method sets the UDP Source Port. " alt="" coords="512,705,677,744"/>
<area shape="rect" id="node23" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aa6b4ee310b27450ea21696b8a1ab9e36" title="This method sets the UDP Destination Port. " alt="" coords="512,768,677,807"/>
<area shape="rect" id="node24" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a232ac624d1b666065516cd2b7dc5f729" title="This method sets the UDP Length. " alt="" coords="512,831,677,869"/>
<area shape="rect" id="node25" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="497,893,692,919"/>
<area shape="rect" id="node26" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#ada31b17064f026a602cac8ce755cffcf" title="This method sets the UDP Checksum. " alt="" coords="512,943,677,981"/>
<area shape="rect" id="node27" href="../../dc/d3c/classThread_1_1Message.html#a9c900e4c1ddbb44f1d9c87d10172f63a" title="This method prepends bytes to the front of the message. " alt="" coords="503,1005,686,1031"/>
<area shape="rect" id="node28" href="../../dc/d3c/classThread_1_1Message.html#acaa6ed0d0c060a524cb5da25451acc0d" title="This method sets the byte offset within the message. " alt="" coords="500,1055,688,1080"/>
<area shape="rect" id="node33" href="../../d4/d80/group__core-netdata-core.html#ga9f5162a9bc93eab0d3c02ffd7647223d" title="This method inserts bytes into the Network Data. " alt="" coords="520,1104,668,1143"/>
<area shape="rect" id="node34" href="../../d0/d15/classThread_1_1NetworkData_1_1CommissioningDataTlv.html#a4f90032ec9250ce972df82f1e4a3b86f" title="This method initializes the TLV. " alt="" coords="499,1167,690,1205"/>
<area shape="rect" id="node37" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a317f61172c3e2a2c6e03caa4921014d5" title="This method sets the Length value. " alt="" coords="740,1227,931,1265"/>
<area shape="rect" id="node38" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a48c613c8f16703f3af0480e4d4c588b9" title="This method returns a pointer to the Value. " alt="" coords="501,1281,687,1320"/>
<area shape="rect" id="node39" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a092484addf28568306ab45941abffff4" title="This method schedules notification of aFlags. " alt="" coords="511,1344,677,1383"/>
<area shape="rect" id="node35" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#aac4e144713568670ae504b4d40bbcc5d" title="This method initializes TLV. " alt="" coords="761,1101,910,1140"/>
<area shape="rect" id="node36" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a16dd006580876eac0a702c12b6f9db81" title="This method sets the Type value. " alt="" coords="745,1164,925,1203"/>
<area shape="rect" id="node40" href="../../d4/d92/classThread_1_1Tasklet.html#a50a39a6f422851035b89aace87482425" title="This method puts the tasklet on the run queue. " alt="" coords="762,1351,909,1376"/>
<area shape="rect" id="node41" href="../../d8/de8/classThread_1_1TaskletScheduler.html#a137292acddf92acdef54cc7a33ea5fac" title="This method enqueues a tasklet into the run queue. " alt="" coords="979,1344,1152,1383"/>
<area shape="rect" id="node42" href="../../d1/de3/group__execution.html#ga04d5608ac68a78eb3e8fc167587c61f3" title="OpenThread calls this function when the tasklet queue transitions from empty to non&#45;empty. " alt="" coords="1217,1295,1377,1320"/>
<area shape="rect" id="node43" href="../../d8/de8/classThread_1_1TaskletScheduler.html#aeaf526c316bbea7d53d20fa9e3c94c40" title="This method returns the pointer to the parent Ip6 structure. " alt="" coords="1211,1344,1383,1383"/>
<area shape="rect" id="node44" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a624d9508f3ecfa586378a3d802cb6ff7" title="This method returns the pointer to the parent otInstance structure. " alt="" coords="1200,1407,1395,1432"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/meshcop/<a class="el" href="../../d9/d7e/leader_8hpp_source.html">leader.hpp</a></li>
<li>src/core/meshcop/<a class="el" href="../../d7/d02/leader_8cpp.html">leader.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>MeshCoP</b></li><li class="navelem"><a class="el" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html">Leader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
